%define pname     vnsiserver
%define checkout  20121216git
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)

# plugin_prefix is the path inside the Source0 directory of the plugin
%define plugin_prefix addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver

Name:           vdr-%{pname}
Version:        0.0.1
Release:        1.%{checkout}%{?dist}
Summary:        VDR plugin to handle XBMC clients via VNSI

Group:          Applications/Multimedia
License:        GPLv2
URL:            https://github.com/opdenkamp/xbmc-pvr-addons
# Download with:
# wget -O xbmc-pvr-addons-master-${checkout}.zip https://github.com/opdenkamp/xbmc-pvr-addons/archive/master.zip
Source:        xbmc-pvr-addons-master-%{checkout}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       vdr(abi)%{?_isa} = %{apiver}

BuildRequires:  vdr-devel >= 1.5.9

%description
VDR plugin to handle XBMC clients. It is needed to use XBMC as a frontend and
VDR as a backend. With the plugin it is possible to get TV and PVR
functionality from a VDR into a XBMC. It is able to handle several XBMC
clients connecting via the VNSI addon.

VNSI supports also dynamic PID switching of the received DVB-TS
stream. Further it detect and demuxing several not by VDR implemented audio
streams, this are:
  - Enhanced AC3 (not tested)
  - Advanced Audio Coding (AAC) (not tested)
  - DTS (demuxer not finished now, and does not work)

%prep
%setup -q -n xbmc-pvr-addons-master

%build
cd %{plugin_prefix}
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$PWD/locale all

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/%{pname}
install -pm 755 %{plugin_prefix}/libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{plugin_prefix}/%{pname}/* $RPM_BUILD_ROOT%{configdir}/plugins/%{pname}/

%files
%defattr(-,root,root,-)
%doc %{plugin_prefix}/COPYING 
%doc %{plugin_prefix}/HISTORY
%doc %{plugin_prefix}/README 

%dir %{configdir}/plugins/%{pname}
%config(noreplace) %{configdir}/plugins/%{pname}/*
%{vdr_plugindir}/libvdr-%{pname}.so.%{apiver}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 16 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.0.1-1.20121216git
- initial built for Fedora

